package com.bonus.canteen.core.supermarket.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel(
   value = "超市表",
   description = "超市表"
)
@LeNiuDecryptDataProcess
public class SupermarketInfoPageVO {
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("超市名称")
   private String supermarketName;
   @ApiModelProperty("管理员id")
   private Long userId;
   @ApiModelProperty("管理员")
   @LeNiuDecryptField
   private String userName;
   @ApiModelProperty("联系电话")
   private String mobile;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库")
   private String warehouseName;
   @ApiModelProperty("超市地址")
   private String address;
   @ApiModelProperty("图片url")
   private String imgUrl;
   @ApiModelProperty("是否立即打印")
   private Integer ifPrintNow;
   @ApiModelProperty("线上超市模式(1现货2预定)")
   private Integer appSaleMode;
   @ApiModelProperty("最少配送时间（分）")
   private Integer minDeliveryTime;
   @ApiModelProperty("选择时间间隔（分）")
   private Integer selectTimeInterval;
   @ApiModelProperty("配送费（元）")
   private Integer deliveryCost;
   @ApiModelProperty("自动核销天数（天）")
   private Integer autoVerifyDay;
   @ApiModelProperty("配送方式(1自取2配送)")
   private List<String> deliveryWayList;
   @ApiModelProperty("配送方式(1自取2配送)-数据库获取，不做展示")
   private String deliveryWay;
   @ApiModelProperty("退单限制时间（分）")
   private Integer refundLimitTime;
   @ApiModelProperty("是否关联出入库")
   private Integer ifRelateDrp;
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("营业配置明细")
   private List<SupermarketConfigPageVO> configList;
   @ApiModelProperty("会员人员类别集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("操作员")
   private String upby;
   @ApiModelProperty("流水号前缀")
   private String mealCode;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域")
   private String areaName;
   @ApiModelProperty("超市收款码链接")
   private String payCodeUrl;
   @ApiModelProperty("是否启用收款码")
   private Integer ifEnablePayCode;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public String getPayCodeUrl() {
      return SysUtil.getCutFileUrl(this.payCodeUrl);
   }

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getSupermarketName() {
      return this.supermarketName;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getUserName() {
      return this.userName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getAddress() {
      return this.address;
   }

   public Integer getIfPrintNow() {
      return this.ifPrintNow;
   }

   public Integer getAppSaleMode() {
      return this.appSaleMode;
   }

   public Integer getMinDeliveryTime() {
      return this.minDeliveryTime;
   }

   public Integer getSelectTimeInterval() {
      return this.selectTimeInterval;
   }

   public Integer getDeliveryCost() {
      return this.deliveryCost;
   }

   public Integer getAutoVerifyDay() {
      return this.autoVerifyDay;
   }

   public List<String> getDeliveryWayList() {
      return this.deliveryWayList;
   }

   public String getDeliveryWay() {
      return this.deliveryWay;
   }

   public Integer getRefundLimitTime() {
      return this.refundLimitTime;
   }

   public Integer getIfRelateDrp() {
      return this.ifRelateDrp;
   }

   public Long getEffId() {
      return this.effId;
   }

   public List<SupermarketConfigPageVO> getConfigList() {
      return this.configList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getUpby() {
      return this.upby;
   }

   public String getMealCode() {
      return this.mealCode;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Integer getIfEnablePayCode() {
      return this.ifEnablePayCode;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setSupermarketName(final String supermarketName) {
      this.supermarketName = supermarketName;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUserName(final String userName) {
      this.userName = userName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setIfPrintNow(final Integer ifPrintNow) {
      this.ifPrintNow = ifPrintNow;
   }

   public void setAppSaleMode(final Integer appSaleMode) {
      this.appSaleMode = appSaleMode;
   }

   public void setMinDeliveryTime(final Integer minDeliveryTime) {
      this.minDeliveryTime = minDeliveryTime;
   }

   public void setSelectTimeInterval(final Integer selectTimeInterval) {
      this.selectTimeInterval = selectTimeInterval;
   }

   public void setDeliveryCost(final Integer deliveryCost) {
      this.deliveryCost = deliveryCost;
   }

   public void setAutoVerifyDay(final Integer autoVerifyDay) {
      this.autoVerifyDay = autoVerifyDay;
   }

   public void setDeliveryWayList(final List<String> deliveryWayList) {
      this.deliveryWayList = deliveryWayList;
   }

   public void setDeliveryWay(final String deliveryWay) {
      this.deliveryWay = deliveryWay;
   }

   public void setRefundLimitTime(final Integer refundLimitTime) {
      this.refundLimitTime = refundLimitTime;
   }

   public void setIfRelateDrp(final Integer ifRelateDrp) {
      this.ifRelateDrp = ifRelateDrp;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setConfigList(final List<SupermarketConfigPageVO> configList) {
      this.configList = configList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setMealCode(final String mealCode) {
      this.mealCode = mealCode;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setPayCodeUrl(final String payCodeUrl) {
      this.payCodeUrl = payCodeUrl;
   }

   public void setIfEnablePayCode(final Integer ifEnablePayCode) {
      this.ifEnablePayCode = ifEnablePayCode;
   }

}
